$.fn.simpleModal = function(op){

	var $elm = $(this);
	var defaults = {
		openSelector  : ".open",
		innerSelector : ".modal-inner"
	}

	var options = $.extend({},defaults,op);
	addEventListeners();

	function addEventListeners()
	{
		$elm.off("click.simpleModal");
		$elm.on("click.simpleModal",function(){
			showModal($(this).attr("data-target-modal-id"));
			return false;
		});
	}

	function addEventListenersModal(target)
	{
		var $this = $('[data-modal-id="'+ target +'"]');
		$this.find(".modal-close").on("click",function(){ hideModal(target); });
		$this.find(".modal-bg").on("click",function(){ hideModal(target); });
		$elm.resizeFunc = function(){ setModalPos(target) };
		$elm.resizeFunc();
		$(window).on("resize",$elm.resizeFunc);
	}
	
	function showModal(target){
		
		$('[data-modal-id="'+ target +'"]').removeClass("close").addClass(options.openSelector.replace(".",""));
		addEventListenersModal(target);
		$('[data-modal-id="'+ target +'"]').animate({ opacity: 1 });
		
	};

	function hideModal(target)
	{
		var $this = $('[data-modal-id="'+ target +'"]');
		$this.find(".modal-close").off("click",function(){ hideModal(target); });
		$this.find(".modal-bg").off("click",function(){ hideModal(target); });
		
		$this.animate({
			opacity: 0
		},function(){
			$this.removeClass(options.openSelector.replace(".",""));
		})
		

		$(window).off("resize",$elm.resizeFunc);
	}

	function setModalPos(target)
	{
		var $this = $('[data-modal-id="'+ target +'"]').find(".modal-inner");
		$this.css({
			marginLeft : -$this.outerWidth()/2,
			marginTop  : -$this.outerHeight()/2
		})
	}
}